<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2021 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<com.android.internal.widget.AlertDialogLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@*android:id/parentPanel"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:minHeight="400dp"
    android:maxHeight="916dp"
    android:gravity="start|top"
    android:background="@color/alert_dialog_background_color"
    android:orientation="vertical">
    <include layout="@layout/car_alert_dialog_title" />
    <FrameLayout
        android:id="@*android:id/contentPanel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/car_alert_dialog_margin"
        android:layout_marginEnd="@dimen/car_alert_dialog_margin">
        <ScrollView
            android:id="@*android:id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:clipToPadding="false">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <Space
                    android:id="@*android:id/textSpacerNoTitle"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="36dp"/>
                <TextView
                    android:id="@android:id/message"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="@color/alert_dialog_message_text_color"/>
                <!-- we don't need this spacer, but the id needs to be here for compatibility -->
                <Space
                    android:id="@*android:id/textSpacerNoButtons"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="0dp" />
            </LinearLayout>
        </ScrollView>
    </FrameLayout>
    <FrameLayout
        android:id="@*android:id/customPanel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="48dp">
        <FrameLayout
            android:id="@android:id/custom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </FrameLayout>
    <include
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_layout_height"
        layout="@layout/car_alert_dialog_button_bar" />
</com.android.internal.widget.AlertDialogLayout>
